%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name} 

Name: lightspark
Version: 0.7.2
Release: %mkrel 7
Summary: An alternative Flash Player implementation
Group: Networking/WWW
License: LGPLv3+
URL: https://launchpad.net/lightspark
Source: http://edge.launchpad.net/lightspark/trunk/%name-%version/+download/%name-%{version}.tar.gz
Patch0: lightspark-0.7.2-ffmpeg-2.0.patch
Patch1: lightspark-0.7.2-llvm-3.3.patch
BuildRequires: cmake
BuildRequires: llvm-devel
BuildRequires: glew-devel
BuildRequires: ftgl-devel
BuildRequires: ffmpeg-devel
BuildRequires: nasm
BuildRequires: libSDL-devel
BuildRequires: gtkglext-devel
BuildRequires: pulseaudio-devel
BuildRequires: fontconfig-devel
BuildRequires: pcre-devel
BuildRequires: pkgconfig(mozilla-plugin)
BuildRequires: curl-devel
BuildRequires: boost-devel
BuildRequires: libxml++2.6-devel
BuildRequires: jpeg-devel
BuildRequires: librtmp-devel
Requires: fonts-ttf-liberation
Suggests: %{name}-pulse

%description
Lightspark is a modern, free, open-source flash player implementation.
Lightspark features:

* JIT compilation of Actionscript to native x86 bytecode using LLVM
* Hardware accelerated rendering using OpenGL Shaders (GLSL)
* Very good and robust support for current-generation Actionscript 3
* A new, clean, codebase exploiting multithreading and optimized for 
modern hardware. Designed from scratch after the official Flash 
documentation was released.

%package -n %{libname}
Summary: %{name} libraries
Group: System/Libraries

%description -n %{libname}
This is the libraries used by %{name}.

%package -n %{develname}
Summary: Development libraries for %{name}
Group: Development/C++
Provides: %{name}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

%description -n %{develname}
Development files for the %{name} libraries.

%package mozilla-plugin
Summary: Mozilla compatible plugin for %{name}
Group: Networking/WWW
Suggests: gnash
Suggests: %{name}-pulse
Conflicts: gnash-firefox-plugin

%description mozilla-plugin
This is the Mozilla compatible plugin for %{name}

%package pulse
Summary: PulseAudio plugin for %{name}
Group: Networking/WWW

%description pulse
This is the PulseAudio plugin for %{name}

%prep
%setup -qn %{name}-%{version}
%apply_patches

%build
%define _disable_ld_no_undefined 1
%cmake \
    -DCOMPILE_PLUGIN=1 \
    -DPLUGIN_DIRECTORY="%{_libdir}/mozilla/plugins/" \
    -DENABLE_SOUND=1 \
    -DGNASH_EXE_PATH="%{_bindir}/gnash"

%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

#(eandry) tell lightspark where the libs are
%__install -d -m 0755  %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/lightspark" > %{buildroot}%{_sysconfdir}/ld.so.conf.d/lightspark-%{__isa_bits}.conf

install -Dpm 644 media/%{name}-ico.svg %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
install -Dpm 644 media/%{name}-logo.svg %{buildroot}%{_datadir}/%{name}

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root,-)
%doc COPYING COPYING.LESSER ChangeLog
%config(noreplace) %{_sysconfdir}/xdg/lightspark.conf
%{_bindir}/%{name}
%{_bindir}/tightspark
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/man/man1/%{name}.1.*

%files -n %{libname}
%defattr(-,root,root)
%config %{_sysconfdir}/ld.so.conf.d/lightspark-%{__isa_bits}.conf
%{_libdir}/%{name}/lib%{name}.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/%{name}/lib%{name}.so

%files mozilla-plugin
%defattr(-,root,root,-)
%{_libdir}/mozilla/plugins/lib%{name}plugin.so

%files pulse
%defattr(-,root,root,-)
%{_libdir}/%{name}/plugins/lib%{name}pulseplugin.so


%changelog
* Fri Jan 10 2014 pterjan <pterjan> 0.7.2-7.mga4
+ Revision: 566139
- Fix Buildequires

* Sat Oct 19 2013 umeabot <umeabot> 0.7.2-6.mga4
+ Revision: 532692
- Mageia 4 Mass Rebuild

* Thu Aug 22 2013 fwang <fwang> 0.7.2-5.mga4
+ Revision: 469248
- add upstream patch to build with llvm 3.3

  + tv <tv>
    - rebuild with new LLVM

* Wed Jul 24 2013 sander85 <sander85> 0.7.2-4.mga4
+ Revision: 457711
- Rebuild for new glew

* Mon Jul 15 2013 fwang <fwang> 0.7.2-3.mga4
+ Revision: 454506
- more patch
- more patch on recent ffmpeg
- update define
- rebuild for new ffmpeg

* Mon Jul 08 2013 fwang <fwang> 0.7.2-2.mga4
+ Revision: 451254
- rebuild for new boost

* Mon Jun 24 2013 fwang <fwang> 0.7.2-1.mga4
+ Revision: 446157
- new version 0.7.2

* Mon Jun 03 2013 tv <tv> 0.7.0-6.mga4
+ Revision: 436308
- rebuild for new libpng

* Wed Apr 10 2013 malo <malo> 0.7.0-5.mga3
+ Revision: 409469
- rebuild for boost 1.53

* Sat Jan 12 2013 fwang <fwang> 0.7.0-4.mga3
+ Revision: 358913
- fix build with llvm 3.2 (patch from gentoo)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 0.7.0-3.mga3
+ Revision: 332954
- rebuild for new boost

* Sat Dec 01 2012 fwang <fwang> 0.7.0-2.mga3
+ Revision: 323653
- rebuild for new pcre

* Mon Oct 29 2012 tv <tv> 0.7.0-1.mga3
+ Revision: 311464
- new release
- new release

* Sun Sep 16 2012 tv <tv> 0.6.0.1-4.mga3
+ Revision: 294518
- BR librtmp-devel

* Thu Aug 30 2012 fwang <fwang> 0.6.0.1-3.mga3
+ Revision: 285669
- rebuild for new glew

* Tue Jul 31 2012 fwang <fwang> 0.6.0.1-2.mga3
+ Revision: 276568
- rebuild for new glew

* Wed Jun 13 2012 tv <tv> 0.6.0.1-1.mga3
+ Revision: 260379
- new release
- drop patch 0 (merged)
- new release

* Fri Jun 01 2012 fwang <fwang> 0.5.7-1.mga3
+ Revision: 252627
- add upstream patch to build with ffmpeg 0.11
- new version 0.5.7

  + kamil <kamil>
    - rebuild against new boost 1.49.0 and ffmpeg 0.11.2

* Thu Apr 12 2012 blino <blino> 0.5.4.1-2.mga2
+ Revision: 230505
- buildrequire llvm-devel since package has been split

  + fwang <fwang>
    - drop merged patches
    - new version 0.5.4.1

* Sat Jan 07 2012 wally <wally> 0.5.3-1.mga2
+ Revision: 192934
- add P1 to fix build with new llvm3
- add P2, P3 and P4 to fix linking
- use .desktop file provided by upstream
- add major check to file list
- fix filename in ld.so.conf.d to allow installing 32bit lib pkg to 64 bit machine

  + fwang <fwang>
    - new version 0.5.3

* Mon Nov 28 2011 fwang <fwang> 0.5.1-3.mga2
+ Revision: 173624
- fix build with latest glib
- rebuild for new boost

* Mon Oct 03 2011 fwang <fwang> 0.5.1-2.mga2
+ Revision: 151160
- rebuild for new glew

* Sun Oct 02 2011 fwang <fwang> 0.5.1-1.mga2
+ Revision: 150833
- br jpeg
- new version 0.5.1
- rebuild
- 0.5 final

* Thu Jul 14 2011 fwang <fwang> 0.5.0-0.rc1.1.mga2
+ Revision: 123888
- fix build with latest ffmpeg
- new version 0.5.0 rc1

* Sun Jun 26 2011 fwang <fwang> 0.4.8.1-1.mga2
+ Revision: 113877
- new version 0.4.8.1
- new version 0.4.8

* Fri Apr 01 2011 ahmad <ahmad> 0.4.6.1-1.mga1
+ Revision: 79444
- bump libxml++2.6-devel BR version again, it requires 2.33.1

  + tv <tv>
    - relax BR on libxml++
    - new release

  + eandry <eandry>
    - bump BR version
    - New version 0.4.6

* Thu Mar 03 2011 eandry <eandry> 0.4.5.3-1.mga1
+ Revision: 63447
- New version 0.4.5.3

* Sun Feb 20 2011 eandry <eandry> 0.4.5.2-1.mga1
+ Revision: 54716
- remove buildroot and old conditional
- imported package lightspark


* Tue Dec 28 2010 Thierry Vignaud <tv@mandriva.org> 0.4.5.1-2mdv2011.0
+ Revision: 625582
- fix BR on 2010.x due to 2010.1/2010.2 trick

* Sun Dec 26 2010 Funda Wang <fwang@mandriva.org> 0.4.5.1-1mdv2011.0
+ Revision: 625188
- update file list

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Sun Sep 26 2010 Funda Wang <fwang@mandriva.org> 0.4.4.3-2mdv2011.0
+ Revision: 581106
- update file list
- BR xml++
- drop conflict files

  + Thierry Vignaud <tv@mandriva.org>
    - BR libxml2-devel
    - new release
    - fix BR for 2010.1

* Mon Sep 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.4.2-2mdv2011.0
+ Revision: 578076
- also suggest pulse plugin for mozilla plugins?\195

* Mon Sep 13 2010 Funda Wang <fwang@mandriva.org> 0.4.4.2-1mdv2011.0
+ Revision: 577850
- BR boost

  + Emmanuel Andry <eandry@mandriva.org>
    - New version 0.4.4.2
    - create pulse subpackage

* Sat Sep 04 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.4.1-1mdv2011.0
+ Revision: 575943
- don't use cmake macro, breaks build
- New version 0.4.4.1
- upstream fixed build with --no-undefined

* Wed Sep 01 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.4-2mdv2011.0
+ Revision: 575169
- package libification
- add ldconfig conf file to tell lightspark where libs are

* Mon Aug 30 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.4-1mdv2011.0
+ Revision: 574519
- set define _disable_ld_no_undefined to 1
- requires fonts-ttf-liberation

  + Thierry Vignaud <tv@mandriva.org>
    - disable patch 0
    - new release

* Sat Aug 14 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.3-7mdv2011.0
+ Revision: 569760
- drop useless p0
- add patch from gentoo to respect cmake linking flags
- drop gnash BR and specify gnash path in cmake
- set BUILD_TYPE to Release

* Fri Aug 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.3-6mdv2011.0
+ Revision: 569445
- drop unneeded ffi5-devel BR
- fix libraries location

* Fri Aug 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.3-5mdv2011.0
+ Revision: 569422
- gnash seems to be needed at build time

* Fri Aug 13 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.3-4mdv2011.0
+ Revision: 569403
- bump release
- BR ffi5-devel
- conflicts with gnash-firefox-plugin, firefox can't handle different plugins for same mimetype (upstream recommendation)

* Thu Aug 12 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.3-2mdv2011.0
+ Revision: 569282
- drop requires on mozilla and gnash (better with suggest)

* Thu Aug 12 2010 Emmanuel Andry <eandry@mandriva.org> 0.4.3-1mdv2011.0
+ Revision: 569250
- New version 0.4.3
- rediff p0
- suggests gnash for AVM1 fallback

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 0.4.2.2-1mdv2011.0
+ Revision: 562914
- drop unused section
- import lightspark


